const getters = require('./getters');

// api nativo node
const querystring = require('querystring')

function handle (request, response) {

	response.writeHead(200, {

		'Content-Type': 'text/html'

	})

	// eventos nativos do node

	let body = ''

	// recebo os dados que vem de uma reqisição e concateno
	request.on('data', function (data) {

		body += data.toString();

	})

	// faço o parse em formato json
	// No postman passo no post http://localhost:3000 em body recebo o json decodificado
	request.on('end', function () {

		let decode = querystring.parse(body)

		console.log(decode)

	})


	response.write('<!DOCTYPE "html">');

	response.write('<html>');
	response.write('<body>');
	response.write('<head> <title> Modules HTTP </title> </head>');
	response.write(`<h1> Response from http in nodejs, create to </h1>`);
	response.write(`<h2> Nome ${getters.getName()} </h2>`);
	response.write(`<p Idade ${getters.getIdade()} </p>`);
	response.write(`<p> Sexo ${getters.getIdade()} </p>`);
	response.write('</body>');
	response.write('</html>');

	response.end();

}

//exports.fn = handle

module.exports = handle